commit:     15a5cca3053e87d16d06f1d02309ddc730bf2bb5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 15 07:41:06 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jun 15 08:14:57 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=15a5cca3

dev-python/bottle: Enable py3.13

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/bottle/bottle-0.12.25-r2.ebuild | 55 ++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

diff --git a/dev-python/bottle/bottle-0.12.25-r2.ebuild 
b/dev-python/bottle/bottle-0.12.25-r2.ebuild
new file mode 100644
index 000000000000..8269bb9ec812
--- /dev/null
+++ b/dev-python/bottle/bottle-0.12.25-r2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="A fast and simple micro-framework for small web-applications"
+HOMEPAGE="
+       https://bottlepy.org/
+       https://github.com/bottlepy/bottle/
+       https://pypi.org/project/bottle/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               dev-python/legacy-cgi[${PYTHON_USEDEP}]
+       ' 3.13)
+"
+BDEPEND="
+       test? (
+               dev-python/mako[${PYTHON_USEDEP}]
+       )
+"
+
+PATCHES=(
+       # https://github.com/bottlepy/bottle/issues/1422
+       "${FILESDIR}/${P}-py312.patch"
+)
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+       sed -e '/scripts/d' -i setup.py || die
+
+       # Remove test file requiring connection to network
+       rm test/test_server.py || die
+       distutils-r1_python_prepare_all
+}
+
+pkg_postinst() {
+       optfeature "Templating support" dev-python/mako
+       elog "Due to problems with bottle.py being in /usr/bin (see bug 
#474874)"
+       elog "we do as most other distros and do not install the script 
anymore."
+       elog "If you do want/have to call it directly rather than through your 
app,"
+       elog "please use the following instead:"
+       elog '  `python -m bottle`'
+}

Reply via email to